Bug 446560 - Add support ionice for Super-H architecture.
Add support ionice for Super-H architecture.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
rawhide
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 23:32 EDT by CHIKAMA Masaki
Modified: 2008-07-03 04:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 04:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
util-linux-ng-2.13-sh-linux.patch (392 bytes, patch)
2008-05-14 23:32 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-14 23:32:18 EDT
Description of problem:
 This patche is forward ported for ../util-linux-ng-2.13.1-6
getting from http://www.sh-linux.org/ .
 It adds system call number for Super-H architecture
to work ionice command.


--- schedutils/ionice.c.orig    2007-10-04 22:37:42.000000000 +0900
+++ schedutils/ionice.c 2008-02-11 01:00:40.000000000 +0900
@@ -38,6 +38,9 @@
 # elif defined(__sparc__) || defined(__sparc64__)
 #  define __NR_ioprio_set              196
 #  define __NR_ioprio_get              218
+# elif defined(__sh__)
+#  define __NR_ioprio_set              288
+#  define __NR_ioprio_get              289
 # else
 #  error "Unsupported arch"
 # endif
Comment 1 CHIKAMA Masaki 2008-05-14 23:32:18 EDT
Created attachment 305436 [details]
util-linux-ng-2.13-sh-linux.patch

Note You need to log in before you can comment on or make changes to this bug.